net.sf.jasperreports.engine.util

## Class DeepPrintElementCounter

- java.lang.Object
- - net.sf.jasperreports.engine.util.UniformPrintElementVisitor<java.util.concurrent.atomic.AtomicInteger>
  - - net.sf.jasperreports.engine.util.DeepPrintElementCounter

- All Implemented Interfaces:
    PrintElementVisitor<java.util.concurrent.atomic.AtomicInteger>

      public class DeepPrintElementCounter
      extends UniformPrintElementVisitor<java.util.concurrent.atomic.AtomicInteger>

  Print element visitor that counts deep elements by recursively visiting `JRPrintFrame` containers.
  Version:
    $Id: DeepPrintElementCounter.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DeepPrintElementCounter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `count(JRPrintElement element)` Calculates the deep element count of an element.
    `protected void` | `visitElement(JRPrintElement element, java.util.concurrent.atomic.AtomicInteger count)`

    - ### Methods inherited from class net.sf.jasperreports.engine.util.UniformPrintElementVisitor

      `visit, visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeepPrintElementCounter

          protected DeepPrintElementCounter()

  - ### Method Detail

    - #### count

          public static int count(JRPrintElement element)

      Calculates the deep element count of an element.
      Parameters:
        `element` -
      Returns:
        the deep element count of the element

    - #### visitElement

          protected void visitElement(JRPrintElement element,
                          java.util.concurrent.atomic.AtomicInteger count)

      Specified by:
        `visitElement` in class `UniformPrintElementVisitor<java.util.concurrent.atomic.AtomicInteger>`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com